Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.util
Class R01FProperties

    java.lang.Object
      com.ejie.r01f.xmlproperties.XMLProperties
          com.ejie.r01f.util.R01FProperties

public class R01FProperties
extends XMLProperties

Author:
  cd00068l Clase auxiliar común para la lectura de propiedades.

Constructor Summary
`R01FProperties()`

Method Summary
`static java.lang.String` | `getHtmls(java.lang.String appCode, java.lang.String htmls)` Devuelve la ruta completa de un html.
`static java.lang.String` | `getImage(java.lang.String appCode, java.lang.String image)` Devuelve la ruta completa de una imagen.
`static java.lang.String` | `getScript(java.lang.String appCode, java.lang.String script)` Devuelve la ruta completa de un fichero Javascript.
`static java.lang.String` | `getStyle(java.lang.String appCode, java.lang.String style)` Devuelve la ruta completa de un fichero de estilos.

Methods inherited from class com.ejie.r01f.xmlproperties.XMLProperties
`customize, existProperty, get, get, getBoolean, getBoolean, getChar, getChar, getCustomized, getDebugInfo, getDouble, getDouble, getFloat, getFloat, getInt, getInt, getLong, getLong, getProperties, getProperty, getProperty, getPropertyList, getPropertyList, getPropertyList, getPropertyNode, getPropertyNodeIterator, getString, getString, main, printDebugInfo, reload`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### R01FProperties

    public R01FProperties()

Method Detail

### getImage

    public static java.lang.String getImage(java.lang.String appCode,
                                            java.lang.String image)

  Devuelve la ruta completa de una imagen.

  Parameters:
    `appCode` - Código de la aplicación que identifica al xml de donde se leen las propiedades.
    `image` - Tag identificador de la imagen en el xml correspondiente
  Returns:
    Ruta completa de la imagen para incluir en el html

### getScript

    public static java.lang.String getScript(java.lang.String appCode,
                                             java.lang.String script)

  Devuelve la ruta completa de un fichero Javascript.

  Parameters:
    `appCode` - Código de la aplicación que identifica al xml de donde se leen las propiedades.
    `script` - Tag identificador del script en el xml correspondiente
  Returns:
    Ruta completa del script para incluir en el html

### getStyle

    public static java.lang.String getStyle(java.lang.String appCode,
                                            java.lang.String style)

  Devuelve la ruta completa de un fichero de estilos.

  Parameters:
    `appCode` - Código de la aplicación que identifica al xml de donde se leen las propiedades.
  Returns:
    Ruta completa de la hoja de estilos para incluir en el html

### getHtmls

    public static java.lang.String getHtmls(java.lang.String appCode,
                                            java.lang.String htmls)

  Devuelve la ruta completa de un html.

  Parameters:
    `appCode` - Código de la aplicación que identifica al xml de donde se leen las propiedades.
  Returns:
    Ruta completa de la hoja de estilos para incluir en el html

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD